com.twitter.twittertext

## Class Extractor.Entity

- java.lang.Object
- - com.twitter.twittertext.Extractor.Entity

- Enclosing class:
    Extractor

      public static class Extractor.Entity
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Extractor.Entity.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `displayURL`
    `protected int` | `end`
    `protected java.lang.String` | `expandedURL`
    `protected java.lang.String` | `listSlug`
    `protected int` | `start`
    `protected Extractor.Entity.Type` | `type`
    `protected java.lang.String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entity(int start, int end, java.lang.String value, Extractor.Entity.Type type)`
    `Entity(int start, int end, java.lang.String value, java.lang.String listSlug, Extractor.Entity.Type type)`
    `Entity(java.util.regex.Matcher matcher, Extractor.Entity.Type type, int groupNumber)`
    `Entity(java.util.regex.Matcher matcher, Extractor.Entity.Type type, int groupNumber, int startOffset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getDisplayURL()`
    `java.lang.Integer` | `getEnd()`
    `java.lang.String` | `getExpandedURL()`
    `java.lang.String` | `getListSlug()`
    `java.lang.Integer` | `getStart()`
    `Extractor.Entity.Type` | `getType()`
    `java.lang.String` | `getValue()`
    `int` | `hashCode()`
    `void` | `setDisplayURL(java.lang.String displayURL)`
    `void` | `setExpandedURL(java.lang.String expandedURL)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### start

          protected int start

    - #### end

          protected int end

    - #### value

          protected final java.lang.String value

    - #### listSlug

          protected final java.lang.String listSlug

    - #### type

          protected final Extractor.Entity.Type type

    - #### displayURL

          protected java.lang.String displayURL

    - #### expandedURL

          protected java.lang.String expandedURL

  - ### Constructor Detail

    - #### Entity

          public Entity(int start,
                        int end,
                        java.lang.String value,
                        java.lang.String listSlug,
                        Extractor.Entity.Type type)

    - #### Entity

          public Entity(int start,
                        int end,
                        java.lang.String value,
                        Extractor.Entity.Type type)

    - #### Entity

          public Entity(java.util.regex.Matcher matcher,
                        Extractor.Entity.Type type,
                        int groupNumber)

    - #### Entity

          public Entity(java.util.regex.Matcher matcher,
                        Extractor.Entity.Type type,
                        int groupNumber,
                        int startOffset)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getStart

          public java.lang.Integer getStart()

    - #### getEnd

          public java.lang.Integer getEnd()

    - #### getValue

          public java.lang.String getValue()

    - #### getListSlug

          public java.lang.String getListSlug()

    - #### getType

          public Extractor.Entity.Type getType()

    - #### getDisplayURL

          public java.lang.String getDisplayURL()

    - #### setDisplayURL

          public void setDisplayURL(java.lang.String displayURL)

    - #### getExpandedURL

          public java.lang.String getExpandedURL()

    - #### setExpandedURL

          public void setExpandedURL(java.lang.String expandedURL)